Subject: RE: kernel can't boot

From: Gary Thomas <[email-masked]>
Date: 29 Dec 2003 07:12:47 -0700

On Sun, 2003-12-28 at 21:05, Kamaraj P wrote:
> Hi All,
> I am using RedBoot in IXP425 Board (Embedded Linux).
> Whether this environment settings are specific to U-Boot ?? If I am using
> RedBoot, How can I debug the kernel Image.
> Is there any FAQ available.
>

Perhaps you should be asking these questions on an ARM Linux list.
This list, and its members, concentrate mostly on PowerPC based
systems and the software that support them.

>
> Thanks in Advance.
> Kamaraj.
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Wolfgang
> Denk
> Sent: Friday, December 26, 2003 3:56 PM
> To: sun-zj
> Cc: [email-masked]
> Subject: Re: kernel can't boot
>
>
>
> In message <[email-masked]> you wrote:
> >
> > I am using the ELDL-2.1 from denx(Thanks their hard works)
> > and the recent kernel advised by Denk(thanks a lots). I compile
> > it and download it by tftp with FEC ethernet.
> > I use the FADS board and U-boot-1.0.0. The eldk enclosed
> > kernel-2.4.4 works fine. But kernel-2.4.23 can go to the stage
> > of Uncompressed kernel image OK. and then system Hangs there
> > without any messages?
>
> Probably the kernel received invalid parameters (clock information).
>
> > Who can tell me what happens ?
>
> You did not read the FAQ. See
> http://www.denx.de/twiki/bin/view/DULG/LinuxHangsAfterUncompressingKernel
>
> Best regards,
>
> Wolfgang Denk
>
> --
> Software Engineering:  Embedded and Realtime Systems,  Embedded Linux
> Phone: (+49)-8142-4596-87  Fax: (+49)-8142-4596-88  Email: [email-masked]
> Ernest asks Frank how long he has been working for the company.
>         "Ever since they threatened to fire me."
>
>
--
Gary Thomas <[email-masked]>
MLB Associates

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/